Name:           gtkterm
Version:        0.99.5
Release:        1%{?dist}
Summary:        Serial port terminal
Group:          Applications/Communications
License:        GPL
URL:            http://www.jls-info.com/julien/linux
Source0:        http://www.jls-info.com/julien/linux/%{name}-%{version}.tar.gz
Source1:        gtkterm.desktop
Source2:        gtkterm.png
Patch0:         gtkterm-0.99.5-fixes.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gtk2-devel gettext bison desktop-file-utils vte-devel
BuildRequires:  zlib-devel ncurses-devel

%description
Simple GUI terminal used to communicate with the serial port.
Similar to minicom or hyperterminal.


%prep
%setup -q
%patch0 -p1


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# below is the desktop file and icon stuff.
mkdir $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora                       \
  %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
install -p -m 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png


%changelog
* Fri Mar 31 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.99.5-1
- Taking over as new FE maintainer
- Bump to new upstream 0.99.5

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Fri Nov 28 2003 Nils O. Selåsdal <NOS@Utel.no> - 0:0.99.4-0.fdr.3
- Add ncurses-devel as BuildRequires for RH9.
- full URL to Sources in .spec file
* Sat Nov 22 2003 Nils O. Selåsdal <NOS@Utel.no> - 0:0.99.4-0.fdr.2
- add missing BuildRequires.
* Sat Sep 06 2003 Nils O. Selåsdal <NOS@Utel.no> - 0:0.99.4-0.fdr.1
- Initial RPM release.
